GNOME Geary before 3.36.3 mishandles pinned TLS certificate verification for IMAP and SMTP services using invalid TLS certificates (e.g., self-signed certificates) when the client system is not configured to use a system-provided PKCS#11 store. This allows a meddler in the middle to present a different invalid certificate to intercept incoming and outgoing mail.
Published 2020-08-26 16:15:13
Updated 2022-02-22 10:04:12
Source MITRE
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2020-24661

0.19%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 56 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2020-24661

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
2.6
LOW AV:N/AC:H/Au:N/C:P/I:N/A:N
4.9
2.9
NIST
5.9
MEDIUM CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
2.2
3.6
NIST

CWE ids for CVE-2020-24661

References for CVE-2020-24661

Products affected by CVE-2020-24661

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!